Cara untuk mengatasi pesan error

bash: /home/jaranguda/android/sdk/tools/emulator: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

adalah dengan menginstall glibc.i686 (glibc versi 32 bit), install dengan cara

su -c "dnf install glibc.i686"

output perintah diatas

Resolving dependencies
--> Starting dependency resolution
---> Package glibc.i686 2.18-11.fc20 will be installed
---> Package nss-softokn-freebl.i686 3.15.3-1.fc20 will be installed
--> Finished dependency resolution
Dependencies resolved.
 
================================================================================
 Package                  Arch       Version                Repository     Size
================================================================================
Installing:
 glibc                    i686       2.18-11.fc20           fedora        4.2 M
 nss-softokn-freebl       i686       3.15.3-1.fc20          updates       179 k
 
Transaction Summary
================================================================================
Install  2 Packages
 
Total download size: 4.3 M
Installed size: 15 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): nss-softokn-freebl-3.15.3-1.fc20.i686.rp 145 kB/s | 179 kB     00:01    
(2/2): glibc-2.18-11.fc20.i686.rpm              279 kB/s | 4.2 MB     00:15    
--------------------------------------------------------------------------------
Total                                           210 kB/s | 4.3 MB     00:21     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : nss-softokn-freebl-3.15.3-1.fc20.i686                       1/2 
  Installing  : glibc-2.18-11.fc20.i686                                     2/2 
  Verifying   : glibc-2.18-11.fc20.i686                                     1/2 
  Verifying   : nss-softokn-freebl-3.15.3-1.fc20.i686                       2/2 
Installed:
  glibc.i686 2.18-11.fc20         nss-softokn-freebl.i686 3.15.3-1.fc20        
Complete!

Bila muncul pesan Error

./adb.linux: error while loading shared libraries: libncurses.so.5: cannot open shared object file: No such file or directory

install ncurses-libs.i686

dnf install ncurses-libs.i686 -y

Last Updated on 11 May 2014 by

Leave a comment

Your email address will not be published. Required fields are marked *